{ config, pkgs, ... }:

{
  imports = [
    ./apps
    ./desktops
    ./xdg.nix
  ];

  # Cursor
  home.pointerCursor = {
    enable = true;
    name = "Adwaita";
    package = pkgs.adwaita-icon-theme;
    size = 24;
    x11 = {
      enable = true;
      defaultCursor = "Adwaita";
    };
    dotIcons.enable = true;
    gtk.enable = true;
    sway.enable = true;
  };

  # Background
  xdg.configFile."background".source = ./background;
}
